`timescale 1 ns/1 ps

  module testbench;
    reg clock;
    reg load;
    reg reset;
    wire [4:0] shiftreg;
    reg [4:0] data;
    reg [1:0] sel;

    shift_reg u1 (
      .clock (clock),
      .load (load),
      .reset (reset),
      .shiftreg (shiftreg),
      .data (data),
      .sel (sel));

    initial begin
    clock = 0;
    forever #50 clock = ~clock;
    end
    initial begin
        reset = 1;
        data = 5'b00000;
        load = 0;
        sel = 2'b00;
      #200
        reset = 0;
        load = 1;
      #200
        data = 5'b00001;
      #100
        sel = 2'b01;
        load = 0;
      #200
        sel = 2'b10;
      #1000 $stop;
      // #1000 $finish;
    end
  endmodule




