-- Xilinx Vhdl netlist produced by netgen application (version G.36)
-- Command       : -intstyle ise -s 4 -pcf top_level.pcf -ngm top_level.ngm -rpw 100 -tpw 0 -ar Structure -xon true -w -ofmt vhdl -sim top_level.ncd top_level_timesim.vhd 
-- Input file    : top_level.ncd
-- Output file   : top_level_timesim.vhd
-- Design name   : top_level
-- # of Entities : 1
-- Xilinx        : C:/Xilinx
-- Device        : 3s50pq208-4 (ADVANCED 1.32 2004-08-31)

-- This vhdl netlist is a simulation model and uses simulation 
-- primitives which may not represent the true implementation of the 
-- device, however the netlist is functionally correct and should not 
-- be modified. This file cannot be synthesized and should only be used 
-- with supported simulation tools.

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity top_level is
  port (
    load : in STD_LOGIC := 'X'; 
    reset : in STD_LOGIC := 'X'; 
    clk : in STD_LOGIC := 'X'; 
    control_out : out STD_LOGIC_VECTOR ( 1 downto 0 ); 
    data_out : out STD_LOGIC_VECTOR ( 7 downto 0 ); 
    externe_daten_in : in STD_LOGIC_VECTOR ( 1 downto 0 ); 
    data_in : in STD_LOGIC_VECTOR ( 7 downto 0 ) 
  );
end top_level;

architecture Structure of top_level is
  signal GLOBAL_LOGIC0 : STD_LOGIC; 
  signal clk_BUFGP : STD_LOGIC; 
  signal reset_IBUF : STD_LOGIC; 
  signal load_IBUF : STD_LOGIC; 
  signal data_in_0_IBUF : STD_LOGIC; 
  signal counter_inst_cy_1 : STD_LOGIC; 
  signal data_in_1_IBUF : STD_LOGIC; 
  signal data_in_2_IBUF : STD_LOGIC; 
  signal counter_inst_cy_3 : STD_LOGIC; 
  signal data_in_3_IBUF : STD_LOGIC; 
  signal data_in_4_IBUF : STD_LOGIC; 
  signal counter_inst_cy_5 : STD_LOGIC; 
  signal data_in_5_IBUF : STD_LOGIC; 
  signal data_in_6_IBUF : STD_LOGIC; 
  signal counter_inst_cy_7 : STD_LOGIC; 
  signal data_in_7_IBUF : STD_LOGIC; 
  signal externe_daten_in_0_IBUF : STD_LOGIC; 
  signal externe_daten_in_1_IBUF : STD_LOGIC; 
  signal clk_BUFGP_IBUFG : STD_LOGIC; 
  signal GLOBAL_LOGIC1 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_0 : STD_LOGIC; 
  signal GSR : STD_LOGIC; 
  signal GTS : STD_LOGIC; 
  signal counter_0_LOGIC_ONE : STD_LOGIC; 
  signal counter_0_CYINIT : STD_LOGIC; 
  signal counter_0_CYSELF : STD_LOGIC; 
  signal load_IBUF_rt : STD_LOGIC; 
  signal counter_0_BXINVNOT : STD_LOGIC; 
  signal counter_0_DYMUX : STD_LOGIC; 
  signal counter_0_XORG : STD_LOGIC; 
  signal counter_0_CYMUXG : STD_LOGIC; 
  signal counter_inst_cy_0 : STD_LOGIC; 
  signal counter_0_LOGIC_ZERO : STD_LOGIC; 
  signal counter_0_CYSELG : STD_LOGIC; 
  signal counter_inst_lut3_01_O : STD_LOGIC; 
  signal counter_0_CLKINV : STD_LOGIC; 
  signal counter_1_DXMUX : STD_LOGIC; 
  signal counter_1_XORF : STD_LOGIC; 
  signal counter_1_CYINIT : STD_LOGIC; 
  signal counter_inst_lut3_11_O : STD_LOGIC; 
  signal counter_1_DYMUX : STD_LOGIC; 
  signal counter_1_XORG : STD_LOGIC; 
  signal counter_inst_cy_2 : STD_LOGIC; 
  signal counter_1_CYSELF : STD_LOGIC; 
  signal counter_1_CYMUXFAST : STD_LOGIC; 
  signal counter_1_CYAND : STD_LOGIC; 
  signal counter_1_FASTCARRY : STD_LOGIC; 
  signal counter_1_CYMUXG2 : STD_LOGIC; 
  signal counter_1_CYMUXF2 : STD_LOGIC; 
  signal counter_1_LOGIC_ZERO : STD_LOGIC; 
  signal counter_1_CYSELG : STD_LOGIC; 
  signal counter_inst_lut3_21_O : STD_LOGIC; 
  signal counter_1_SRINV : STD_LOGIC; 
  signal counter_1_CLKINV : STD_LOGIC; 
  signal counter_3_DXMUX : STD_LOGIC; 
  signal counter_3_XORF : STD_LOGIC; 
  signal counter_3_CYINIT : STD_LOGIC; 
  signal counter_inst_lut3_31_O : STD_LOGIC; 
  signal counter_3_DYMUX : STD_LOGIC; 
  signal counter_3_XORG : STD_LOGIC; 
  signal counter_inst_cy_4 : STD_LOGIC; 
  signal counter_3_CYSELF : STD_LOGIC; 
  signal counter_3_CYMUXFAST : STD_LOGIC; 
  signal counter_3_CYAND : STD_LOGIC; 
  signal counter_3_FASTCARRY : STD_LOGIC; 
  signal counter_3_CYMUXG2 : STD_LOGIC; 
  signal counter_3_CYMUXF2 : STD_LOGIC; 
  signal counter_3_LOGIC_ZERO : STD_LOGIC; 
  signal counter_3_CYSELG : STD_LOGIC; 
  signal counter_inst_lut3_41_O : STD_LOGIC; 
  signal counter_3_SRINV : STD_LOGIC; 
  signal counter_3_CLKINV : STD_LOGIC; 
  signal counter_5_DXMUX : STD_LOGIC; 
  signal counter_5_XORF : STD_LOGIC; 
  signal counter_5_CYINIT : STD_LOGIC; 
  signal counter_inst_lut3_51_O : STD_LOGIC; 
  signal counter_5_DYMUX : STD_LOGIC; 
  signal counter_5_XORG : STD_LOGIC; 
  signal counter_inst_cy_6 : STD_LOGIC; 
  signal counter_5_CYSELF : STD_LOGIC; 
  signal counter_5_CYMUXFAST : STD_LOGIC; 
  signal counter_5_CYAND : STD_LOGIC; 
  signal counter_5_FASTCARRY : STD_LOGIC; 
  signal counter_5_CYMUXG2 : STD_LOGIC; 
  signal counter_5_CYMUXF2 : STD_LOGIC; 
  signal counter_5_LOGIC_ZERO : STD_LOGIC; 
  signal counter_5_CYSELG : STD_LOGIC; 
  signal counter_inst_lut3_61_O : STD_LOGIC; 
  signal counter_5_SRINV : STD_LOGIC; 
  signal counter_5_CLKINV : STD_LOGIC; 
  signal counter_7_DXMUX : STD_LOGIC; 
  signal counter_7_XORF : STD_LOGIC; 
  signal counter_7_CYINIT : STD_LOGIC; 
  signal counter_inst_lut3_7 : STD_LOGIC; 
  signal counter_7_CLKINV : STD_LOGIC; 
  signal externe_daten_in_0_INBUF : STD_LOGIC; 
  signal counter_0_FFY_RST : STD_LOGIC; 
  signal counter_0_FFY_RSTAND : STD_LOGIC; 
  signal externe_daten_in_1_INBUF : STD_LOGIC; 
  signal control_out_0_ENABLE : STD_LOGIC; 
  signal control_out_0_GTS_OR_T : STD_LOGIC; 
  signal control_out_0_O : STD_LOGIC; 
  signal control_out_1_ENABLE : STD_LOGIC; 
  signal control_out_1_GTS_OR_T : STD_LOGIC; 
  signal control_out_1_O : STD_LOGIC; 
  signal clk_INBUF : STD_LOGIC; 
  signal data_out_0_ENABLE : STD_LOGIC; 
  signal data_out_0_GTS_OR_T : STD_LOGIC; 
  signal data_out_0_O : STD_LOGIC; 
  signal data_out_1_ENABLE : STD_LOGIC; 
  signal data_out_1_GTS_OR_T : STD_LOGIC; 
  signal data_out_1_O : STD_LOGIC; 
  signal data_out_2_ENABLE : STD_LOGIC; 
  signal data_out_2_GTS_OR_T : STD_LOGIC; 
  signal data_out_2_O : STD_LOGIC; 
  signal data_out_3_ENABLE : STD_LOGIC; 
  signal data_out_3_GTS_OR_T : STD_LOGIC; 
  signal data_out_3_O : STD_LOGIC; 
  signal data_out_4_ENABLE : STD_LOGIC; 
  signal data_out_4_GTS_OR_T : STD_LOGIC; 
  signal data_out_4_O : STD_LOGIC; 
  signal data_in_0_INBUF : STD_LOGIC; 
  signal data_out_5_ENABLE : STD_LOGIC; 
  signal data_out_5_GTS_OR_T : STD_LOGIC; 
  signal data_out_5_O : STD_LOGIC; 
  signal data_in_1_INBUF : STD_LOGIC; 
  signal data_out_6_ENABLE : STD_LOGIC; 
  signal data_out_6_GTS_OR_T : STD_LOGIC; 
  signal data_out_6_O : STD_LOGIC; 
  signal data_in_2_INBUF : STD_LOGIC; 
  signal data_out_7_ENABLE : STD_LOGIC; 
  signal data_out_7_GTS_OR_T : STD_LOGIC; 
  signal data_out_7_O : STD_LOGIC; 
  signal data_in_3_INBUF : STD_LOGIC; 
  signal data_in_4_INBUF : STD_LOGIC; 
  signal data_in_5_INBUF : STD_LOGIC; 
  signal reset_INBUF : STD_LOGIC; 
  signal data_in_6_INBUF : STD_LOGIC; 
  signal data_in_7_INBUF : STD_LOGIC; 
  signal load_INBUF : STD_LOGIC; 
  signal clk_BUFGP_BUFG_S_INVNOT : STD_LOGIC; 
  signal Q_n0002_1_G : STD_LOGIC; 
  signal counter_1_FFY_RST : STD_LOGIC; 
  signal counter_1_FFX_RST : STD_LOGIC; 
  signal counter_3_FFY_RST : STD_LOGIC; 
  signal counter_7_FFX_RST : STD_LOGIC; 
  signal counter_7_FFX_RSTAND : STD_LOGIC; 
  signal control_out_0_OUTPUT_OTCLK1INV : STD_LOGIC; 
  signal control_out_0 : STD_LOGIC; 
  signal control_out_0_OUTPUT_OFF_O1INVNOT : STD_LOGIC; 
  signal control_out_0_OUTPUT_OFF_OFF1_RST : STD_LOGIC; 
  signal control_out_0_OUTPUT_OFF_OFF1_RSTAND : STD_LOGIC; 
  signal control_out_1_OUTPUT_OTCLK1INV : STD_LOGIC; 
  signal control_out_1 : STD_LOGIC; 
  signal control_out_1_OUTPUT_OFF_O1INV : STD_LOGIC; 
  signal control_out_1_OUTPUT_OFF_OFF1_RST : STD_LOGIC; 
  signal control_out_1_OUTPUT_OFF_OFF1_RSTAND : STD_LOGIC; 
  signal counter_3_FFX_RST : STD_LOGIC; 
  signal counter_5_FFY_RST : STD_LOGIC; 
  signal counter_5_FFX_RST : STD_LOGIC; 
  signal VCC : STD_LOGIC; 
  signal GND : STD_LOGIC; 
  signal counter : STD_LOGIC_VECTOR ( 7 downto 0 ); 
  signal Q_n0002 : STD_LOGIC_VECTOR ( 1 downto 1 ); 
begin
  GLOBAL_LOGIC0_ZERO : X_ZERO
    port map (
      O => GLOBAL_LOGIC0
    );
  counter_inst_lut3_01 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => load_IBUF,
      ADR2 => data_in_0_IBUF,
      ADR3 => counter(0),
      O => counter_inst_lut3_01_O
    );
  counter_0_LOGIC_ZERO_0 : X_ZERO
    port map (
      O => counter_0_LOGIC_ZERO
    );
  counter_0_LOGIC_ONE_1 : X_ONE
    port map (
      O => counter_0_LOGIC_ONE
    );
  counter_0_CYMUXF : X_MUX2
    port map (
      IA => counter_0_LOGIC_ONE,
      IB => counter_0_CYINIT,
      SEL => counter_0_CYSELF,
      O => counter_inst_cy_0
    );
  counter_0_CYINIT_2 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_0_BXINVNOT,
      O => counter_0_CYINIT
    );
  counter_0_CYSELF_3 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => load_IBUF_rt,
      O => counter_0_CYSELF
    );
  counter_0_BXINV : X_INV
    port map (
      I => GLOBAL_LOGIC1,
      O => counter_0_BXINVNOT
    );
  counter_0_DYMUX_4 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_0_XORG,
      O => counter_0_DYMUX
    );
  counter_0_XORG_5 : X_XOR2
    port map (
      I0 => counter_inst_cy_0,
      I1 => counter_inst_lut3_01_O,
      O => counter_0_XORG
    );
  counter_0_COUTUSED : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_0_CYMUXG,
      O => counter_inst_cy_1
    );
  counter_0_CYMUXG_6 : X_MUX2
    port map (
      IA => counter_0_LOGIC_ZERO,
      IB => counter_inst_cy_0,
      SEL => counter_0_CYSELG,
      O => counter_0_CYMUXG
    );
  counter_0_CYSELG_7 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_lut3_01_O,
      O => counter_0_CYSELG
    );
  counter_0_CLKINV_8 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk_BUFGP,
      O => counter_0_CLKINV
    );
  counter_1_LOGIC_ZERO_9 : X_ZERO
    port map (
      O => counter_1_LOGIC_ZERO
    );
  counter_1_DXMUX_10 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_1_XORF,
      O => counter_1_DXMUX
    );
  counter_1_XORF_11 : X_XOR2
    port map (
      I0 => counter_1_CYINIT,
      I1 => counter_inst_lut3_11_O,
      O => counter_1_XORF
    );
  counter_1_CYMUXF : X_MUX2
    port map (
      IA => counter_1_LOGIC_ZERO,
      IB => counter_1_CYINIT,
      SEL => counter_1_CYSELF,
      O => counter_inst_cy_2
    );
  counter_1_CYMUXF2_12 : X_MUX2
    port map (
      IA => counter_1_LOGIC_ZERO,
      IB => counter_1_LOGIC_ZERO,
      SEL => counter_1_CYSELF,
      O => counter_1_CYMUXF2
    );
  counter_1_CYINIT_13 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_cy_1,
      O => counter_1_CYINIT
    );
  counter_1_CYSELF_14 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_lut3_11_O,
      O => counter_1_CYSELF
    );
  counter_1_DYMUX_15 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_1_XORG,
      O => counter_1_DYMUX
    );
  counter_1_XORG_16 : X_XOR2
    port map (
      I0 => counter_inst_cy_2,
      I1 => counter_inst_lut3_21_O,
      O => counter_1_XORG
    );
  counter_1_COUTUSED : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_1_CYMUXFAST,
      O => counter_inst_cy_3
    );
  counter_1_FASTCARRY_17 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_cy_1,
      O => counter_1_FASTCARRY
    );
  counter_1_CYAND_18 : X_AND2
    port map (
      I0 => counter_1_CYSELG,
      I1 => counter_1_CYSELF,
      O => counter_1_CYAND
    );
  counter_1_CYMUXFAST_19 : X_MUX2
    port map (
      IA => counter_1_CYMUXG2,
      IB => counter_1_FASTCARRY,
      SEL => counter_1_CYAND,
      O => counter_1_CYMUXFAST
    );
  counter_1_CYMUXG2_20 : X_MUX2
    port map (
      IA => counter_1_LOGIC_ZERO,
      IB => counter_1_CYMUXF2,
      SEL => counter_1_CYSELG,
      O => counter_1_CYMUXG2
    );
  counter_1_CYSELG_21 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_lut3_21_O,
      O => counter_1_CYSELG
    );
  counter_1_SRINV_22 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset_IBUF,
      O => counter_1_SRINV
    );
  counter_1_CLKINV_23 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk_BUFGP,
      O => counter_1_CLKINV
    );
  counter_3_LOGIC_ZERO_24 : X_ZERO
    port map (
      O => counter_3_LOGIC_ZERO
    );
  counter_3_DXMUX_25 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_3_XORF,
      O => counter_3_DXMUX
    );
  counter_3_XORF_26 : X_XOR2
    port map (
      I0 => counter_3_CYINIT,
      I1 => counter_inst_lut3_31_O,
      O => counter_3_XORF
    );
  counter_3_CYMUXF : X_MUX2
    port map (
      IA => counter_3_LOGIC_ZERO,
      IB => counter_3_CYINIT,
      SEL => counter_3_CYSELF,
      O => counter_inst_cy_4
    );
  counter_3_CYMUXF2_27 : X_MUX2
    port map (
      IA => counter_3_LOGIC_ZERO,
      IB => counter_3_LOGIC_ZERO,
      SEL => counter_3_CYSELF,
      O => counter_3_CYMUXF2
    );
  counter_3_CYINIT_28 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_cy_3,
      O => counter_3_CYINIT
    );
  counter_3_CYSELF_29 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_lut3_31_O,
      O => counter_3_CYSELF
    );
  counter_3_DYMUX_30 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_3_XORG,
      O => counter_3_DYMUX
    );
  counter_3_XORG_31 : X_XOR2
    port map (
      I0 => counter_inst_cy_4,
      I1 => counter_inst_lut3_41_O,
      O => counter_3_XORG
    );
  counter_3_COUTUSED : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_3_CYMUXFAST,
      O => counter_inst_cy_5
    );
  counter_3_FASTCARRY_32 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_cy_3,
      O => counter_3_FASTCARRY
    );
  counter_3_CYAND_33 : X_AND2
    port map (
      I0 => counter_3_CYSELG,
      I1 => counter_3_CYSELF,
      O => counter_3_CYAND
    );
  counter_3_CYMUXFAST_34 : X_MUX2
    port map (
      IA => counter_3_CYMUXG2,
      IB => counter_3_FASTCARRY,
      SEL => counter_3_CYAND,
      O => counter_3_CYMUXFAST
    );
  counter_3_CYMUXG2_35 : X_MUX2
    port map (
      IA => counter_3_LOGIC_ZERO,
      IB => counter_3_CYMUXF2,
      SEL => counter_3_CYSELG,
      O => counter_3_CYMUXG2
    );
  counter_3_CYSELG_36 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_lut3_41_O,
      O => counter_3_CYSELG
    );
  counter_3_SRINV_37 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset_IBUF,
      O => counter_3_SRINV
    );
  counter_3_CLKINV_38 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk_BUFGP,
      O => counter_3_CLKINV
    );
  counter_5_LOGIC_ZERO_39 : X_ZERO
    port map (
      O => counter_5_LOGIC_ZERO
    );
  counter_5_DXMUX_40 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_5_XORF,
      O => counter_5_DXMUX
    );
  counter_5_XORF_41 : X_XOR2
    port map (
      I0 => counter_5_CYINIT,
      I1 => counter_inst_lut3_51_O,
      O => counter_5_XORF
    );
  counter_5_CYMUXF : X_MUX2
    port map (
      IA => counter_5_LOGIC_ZERO,
      IB => counter_5_CYINIT,
      SEL => counter_5_CYSELF,
      O => counter_inst_cy_6
    );
  counter_5_CYMUXF2_42 : X_MUX2
    port map (
      IA => counter_5_LOGIC_ZERO,
      IB => counter_5_LOGIC_ZERO,
      SEL => counter_5_CYSELF,
      O => counter_5_CYMUXF2
    );
  counter_5_CYINIT_43 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_cy_5,
      O => counter_5_CYINIT
    );
  counter_5_CYSELF_44 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_lut3_51_O,
      O => counter_5_CYSELF
    );
  counter_5_DYMUX_45 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_5_XORG,
      O => counter_5_DYMUX
    );
  counter_5_XORG_46 : X_XOR2
    port map (
      I0 => counter_inst_cy_6,
      I1 => counter_inst_lut3_61_O,
      O => counter_5_XORG
    );
  counter_5_COUTUSED : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_5_CYMUXFAST,
      O => counter_inst_cy_7
    );
  counter_5_FASTCARRY_47 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_cy_5,
      O => counter_5_FASTCARRY
    );
  counter_5_CYAND_48 : X_AND2
    port map (
      I0 => counter_5_CYSELG,
      I1 => counter_5_CYSELF,
      O => counter_5_CYAND
    );
  counter_5_CYMUXFAST_49 : X_MUX2
    port map (
      IA => counter_5_CYMUXG2,
      IB => counter_5_FASTCARRY,
      SEL => counter_5_CYAND,
      O => counter_5_CYMUXFAST
    );
  counter_5_CYMUXG2_50 : X_MUX2
    port map (
      IA => counter_5_LOGIC_ZERO,
      IB => counter_5_CYMUXF2,
      SEL => counter_5_CYSELG,
      O => counter_5_CYMUXG2
    );
  counter_5_CYSELG_51 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_lut3_61_O,
      O => counter_5_CYSELG
    );
  counter_5_SRINV_52 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset_IBUF,
      O => counter_5_SRINV
    );
  counter_5_CLKINV_53 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk_BUFGP,
      O => counter_5_CLKINV
    );
  counter_7_DXMUX_54 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_7_XORF,
      O => counter_7_DXMUX
    );
  counter_7_XORF_55 : X_XOR2
    port map (
      I0 => counter_7_CYINIT,
      I1 => counter_inst_lut3_7,
      O => counter_7_XORF
    );
  counter_7_CYINIT_56 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter_inst_cy_7,
      O => counter_7_CYINIT
    );
  counter_7_CLKINV_57 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk_BUFGP,
      O => counter_7_CLKINV
    );
  externe_daten_in_0_IBUF_58 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => externe_daten_in(0),
      O => externe_daten_in_0_INBUF
    );
  counter_0 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => counter_0_DYMUX,
      CE => VCC,
      CLK => counter_0_CLKINV,
      SET => GND,
      RST => counter_0_FFY_RST,
      O => counter(0)
    );
  counter_0_FFY_RSTOR : X_OR2
    port map (
      I0 => counter_0_FFY_RSTAND,
      I1 => GSR,
      O => counter_0_FFY_RST
    );
  counter_0_FFY_RSTAND_59 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset_IBUF,
      O => counter_0_FFY_RSTAND
    );
  externe_daten_in_1_IBUF_60 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => externe_daten_in(1),
      O => externe_daten_in_1_INBUF
    );
  control_out_0_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => control_out_0_O,
      CTL => control_out_0_ENABLE,
      O => control_out(0)
    );
  control_out_0_ENABLEINV : X_INV
    port map (
      I => control_out_0_GTS_OR_T,
      O => control_out_0_ENABLE
    );
  control_out_0_GTS_OR_T_61 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => control_out_0_GTS_OR_T
    );
  control_out_1_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => control_out_1_O,
      CTL => control_out_1_ENABLE,
      O => control_out(1)
    );
  control_out_1_ENABLEINV : X_INV
    port map (
      I => control_out_1_GTS_OR_T,
      O => control_out_1_ENABLE
    );
  control_out_1_GTS_OR_T_62 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => control_out_1_GTS_OR_T
    );
  clk_BUFGP_IBUFG_63 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk,
      O => clk_INBUF
    );
  data_out_0_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_out_0_O,
      CTL => data_out_0_ENABLE,
      O => data_out(0)
    );
  data_out_0_ENABLEINV : X_INV
    port map (
      I => data_out_0_GTS_OR_T,
      O => data_out_0_ENABLE
    );
  data_out_0_GTS_OR_T_64 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => data_out_0_GTS_OR_T
    );
  data_out_1_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_out_1_O,
      CTL => data_out_1_ENABLE,
      O => data_out(1)
    );
  data_out_1_ENABLEINV : X_INV
    port map (
      I => data_out_1_GTS_OR_T,
      O => data_out_1_ENABLE
    );
  data_out_1_GTS_OR_T_65 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => data_out_1_GTS_OR_T
    );
  data_out_2_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_out_2_O,
      CTL => data_out_2_ENABLE,
      O => data_out(2)
    );
  data_out_2_ENABLEINV : X_INV
    port map (
      I => data_out_2_GTS_OR_T,
      O => data_out_2_ENABLE
    );
  data_out_2_GTS_OR_T_66 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => data_out_2_GTS_OR_T
    );
  data_out_3_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_out_3_O,
      CTL => data_out_3_ENABLE,
      O => data_out(3)
    );
  data_out_3_ENABLEINV : X_INV
    port map (
      I => data_out_3_GTS_OR_T,
      O => data_out_3_ENABLE
    );
  data_out_3_GTS_OR_T_67 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => data_out_3_GTS_OR_T
    );
  data_out_4_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_out_4_O,
      CTL => data_out_4_ENABLE,
      O => data_out(4)
    );
  data_out_4_ENABLEINV : X_INV
    port map (
      I => data_out_4_GTS_OR_T,
      O => data_out_4_ENABLE
    );
  data_out_4_GTS_OR_T_68 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => data_out_4_GTS_OR_T
    );
  data_in_0_IBUF_69 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in(0),
      O => data_in_0_INBUF
    );
  data_out_5_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_out_5_O,
      CTL => data_out_5_ENABLE,
      O => data_out(5)
    );
  data_out_5_ENABLEINV : X_INV
    port map (
      I => data_out_5_GTS_OR_T,
      O => data_out_5_ENABLE
    );
  data_out_5_GTS_OR_T_70 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => data_out_5_GTS_OR_T
    );
  data_in_1_IBUF_71 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in(1),
      O => data_in_1_INBUF
    );
  data_out_6_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_out_6_O,
      CTL => data_out_6_ENABLE,
      O => data_out(6)
    );
  data_out_6_ENABLEINV : X_INV
    port map (
      I => data_out_6_GTS_OR_T,
      O => data_out_6_ENABLE
    );
  data_out_6_GTS_OR_T_72 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => data_out_6_GTS_OR_T
    );
  data_in_2_IBUF_73 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in(2),
      O => data_in_2_INBUF
    );
  data_out_7_OBUF : X_TRI_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_out_7_O,
      CTL => data_out_7_ENABLE,
      O => data_out(7)
    );
  data_out_7_ENABLEINV : X_INV
    port map (
      I => data_out_7_GTS_OR_T,
      O => data_out_7_ENABLE
    );
  data_out_7_GTS_OR_T_74 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => GTS,
      O => data_out_7_GTS_OR_T
    );
  data_in_3_IBUF_75 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in(3),
      O => data_in_3_INBUF
    );
  data_in_4_IBUF_76 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in(4),
      O => data_in_4_INBUF
    );
  data_in_5_IBUF_77 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in(5),
      O => data_in_5_INBUF
    );
  reset_IBUF_78 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset,
      O => reset_INBUF
    );
  data_in_6_IBUF_79 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in(6),
      O => data_in_6_INBUF
    );
  data_in_7_IBUF_80 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in(7),
      O => data_in_7_INBUF
    );
  load_IBUF_81 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => load,
      O => load_INBUF
    );
  clk_BUFGP_BUFG : X_BUFGMUX
    port map (
      I0 => clk_BUFGP_IBUFG,
      I1 => GND,
      S => clk_BUFGP_BUFG_S_INVNOT,
      O => clk_BUFGP,
      GSR => GSR
    );
  clk_BUFGP_BUFG_SINV : X_INV
    port map (
      I => GLOBAL_LOGIC1_0,
      O => clk_BUFGP_BUFG_S_INVNOT
    );
  load_IBUF_rt_82 : X_LUT4
    generic map(
      INIT => X"CCCC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => load_IBUF,
      ADR2 => VCC,
      ADR3 => VCC,
      O => load_IBUF_rt
    );
  Q_n0002_1_YUSED : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => Q_n0002_1_G,
      O => Q_n0002(1)
    );
  counter_inst_lut3_21 : X_LUT4
    generic map(
      INIT => X"B8B8"
    )
    port map (
      ADR0 => data_in_2_IBUF,
      ADR1 => load_IBUF,
      ADR2 => counter(2),
      ADR3 => VCC,
      O => counter_inst_lut3_21_O
    );
  counter_2 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => counter_1_DYMUX,
      CE => VCC,
      CLK => counter_1_CLKINV,
      SET => GND,
      RST => counter_1_FFY_RST,
      O => counter(2)
    );
  counter_1_FFY_RSTOR : X_OR2
    port map (
      I0 => counter_1_SRINV,
      I1 => GSR,
      O => counter_1_FFY_RST
    );
  counter_inst_lut3_41 : X_LUT4
    generic map(
      INIT => X"EE22"
    )
    port map (
      ADR0 => counter(4),
      ADR1 => load_IBUF,
      ADR2 => VCC,
      ADR3 => data_in_4_IBUF,
      O => counter_inst_lut3_41_O
    );
  counter_inst_lut3_11 : X_LUT4
    generic map(
      INIT => X"EE22"
    )
    port map (
      ADR0 => counter(1),
      ADR1 => load_IBUF,
      ADR2 => VCC,
      ADR3 => data_in_1_IBUF,
      O => counter_inst_lut3_11_O
    );
  counter_1 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => counter_1_DXMUX,
      CE => VCC,
      CLK => counter_1_CLKINV,
      SET => GND,
      RST => counter_1_FFX_RST,
      O => counter(1)
    );
  counter_1_FFX_RSTOR : X_OR2
    port map (
      I0 => counter_1_SRINV,
      I1 => GSR,
      O => counter_1_FFX_RST
    );
  counter_4 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => counter_3_DYMUX,
      CE => VCC,
      CLK => counter_3_CLKINV,
      SET => GND,
      RST => counter_3_FFY_RST,
      O => counter(4)
    );
  counter_3_FFY_RSTOR : X_OR2
    port map (
      I0 => counter_3_SRINV,
      I1 => GSR,
      O => counter_3_FFY_RST
    );
  counter_inst_lut3_31 : X_LUT4
    generic map(
      INIT => X"FC30"
    )
    port map (
      ADR0 => VCC,
      ADR1 => load_IBUF,
      ADR2 => counter(3),
      ADR3 => data_in_3_IBUF,
      O => counter_inst_lut3_31_O
    );
  counter_inst_lut3_61 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => load_IBUF,
      ADR2 => data_in_6_IBUF,
      ADR3 => counter(6),
      O => counter_inst_lut3_61_O
    );
  Q_n0002_1_1 : X_LUT4
    generic map(
      INIT => X"5A5A"
    )
    port map (
      ADR0 => externe_daten_in_1_IBUF,
      ADR1 => VCC,
      ADR2 => externe_daten_in_0_IBUF,
      ADR3 => VCC,
      O => Q_n0002_1_G
    );
  counter_7 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => counter_7_DXMUX,
      CE => VCC,
      CLK => counter_7_CLKINV,
      SET => GND,
      RST => counter_7_FFX_RST,
      O => counter(7)
    );
  counter_7_FFX_RSTOR : X_OR2
    port map (
      I0 => counter_7_FFX_RSTAND,
      I1 => GSR,
      O => counter_7_FFX_RST
    );
  counter_7_FFX_RSTAND_83 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset_IBUF,
      O => counter_7_FFX_RSTAND
    );
  control_out_0_OUTPUT_OTCLK1INV_84 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk_BUFGP,
      O => control_out_0_OUTPUT_OTCLK1INV
    );
  control_out_0_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => control_out_0,
      O => control_out_0_O
    );
  control_out_0_OUTPUT_OFF_O1INV : X_INV
    port map (
      I => externe_daten_in_0_IBUF,
      O => control_out_0_OUTPUT_OFF_O1INVNOT
    );
  control_out_0_85 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => control_out_0_OUTPUT_OFF_O1INVNOT,
      CE => VCC,
      CLK => control_out_0_OUTPUT_OTCLK1INV,
      SET => GND,
      RST => control_out_0_OUTPUT_OFF_OFF1_RST,
      O => control_out_0
    );
  control_out_0_OUTPUT_OFF_OFF1_RSTOR : X_OR2
    port map (
      I0 => control_out_0_OUTPUT_OFF_OFF1_RSTAND,
      I1 => GSR,
      O => control_out_0_OUTPUT_OFF_OFF1_RST
    );
  control_out_0_OUTPUT_OFF_OFF1_RSTAND_86 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset_IBUF,
      O => control_out_0_OUTPUT_OFF_OFF1_RSTAND
    );
  control_out_1_OUTPUT_OTCLK1INV_87 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk_BUFGP,
      O => control_out_1_OUTPUT_OTCLK1INV
    );
  control_out_1_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => control_out_1,
      O => control_out_1_O
    );
  control_out_1_OUTPUT_OFF_O1INV_88 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => Q_n0002(1),
      O => control_out_1_OUTPUT_OFF_O1INV
    );
  control_out_1_89 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => control_out_1_OUTPUT_OFF_O1INV,
      CE => VCC,
      CLK => control_out_1_OUTPUT_OTCLK1INV,
      SET => GND,
      RST => control_out_1_OUTPUT_OFF_OFF1_RST,
      O => control_out_1
    );
  control_out_1_OUTPUT_OFF_OFF1_RSTOR : X_OR2
    port map (
      I0 => control_out_1_OUTPUT_OFF_OFF1_RSTAND,
      I1 => GSR,
      O => control_out_1_OUTPUT_OFF_OFF1_RST
    );
  control_out_1_OUTPUT_OFF_OFF1_RSTAND_90 : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset_IBUF,
      O => control_out_1_OUTPUT_OFF_OFF1_RSTAND
    );
  counter_3 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => counter_3_DXMUX,
      CE => VCC,
      CLK => counter_3_CLKINV,
      SET => GND,
      RST => counter_3_FFX_RST,
      O => counter(3)
    );
  counter_3_FFX_RSTOR : X_OR2
    port map (
      I0 => counter_3_SRINV,
      I1 => GSR,
      O => counter_3_FFX_RST
    );
  counter_inst_lut3_71 : X_LUT4
    generic map(
      INIT => X"EE22"
    )
    port map (
      ADR0 => counter(7),
      ADR1 => load_IBUF,
      ADR2 => VCC,
      ADR3 => data_in_7_IBUF,
      O => counter_inst_lut3_7
    );
  counter_6 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => counter_5_DYMUX,
      CE => VCC,
      CLK => counter_5_CLKINV,
      SET => GND,
      RST => counter_5_FFY_RST,
      O => counter(6)
    );
  counter_5_FFY_RSTOR : X_OR2
    port map (
      I0 => counter_5_SRINV,
      I1 => GSR,
      O => counter_5_FFY_RST
    );
  counter_inst_lut3_51 : X_LUT4
    generic map(
      INIT => X"FC0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => counter(5),
      ADR2 => load_IBUF,
      ADR3 => data_in_5_IBUF,
      O => counter_inst_lut3_51_O
    );
  counter_5 : X_FF
    generic map(
      INIT => '0'
    )
    port map (
      I => counter_5_DXMUX,
      CE => VCC,
      CLK => counter_5_CLKINV,
      SET => GND,
      RST => counter_5_FFX_RST,
      O => counter(5)
    );
  counter_5_FFX_RSTOR : X_OR2
    port map (
      I0 => counter_5_SRINV,
      I1 => GSR,
      O => counter_5_FFX_RST
    );
  PWR_VCC_0_LOGICAL_ONE : X_ONE
    port map (
      O => GLOBAL_LOGIC1
    );
  PWR_VCC_1_LOGICAL_ONE : X_ONE
    port map (
      O => GLOBAL_LOGIC1_0
    );
  externe_daten_in_0_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => externe_daten_in_0_INBUF,
      O => externe_daten_in_0_IBUF
    );
  externe_daten_in_1_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => externe_daten_in_1_INBUF,
      O => externe_daten_in_1_IBUF
    );
  clk_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => clk_INBUF,
      O => clk_BUFGP_IBUFG
    );
  data_out_0_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter(0),
      O => data_out_0_O
    );
  data_out_1_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter(1),
      O => data_out_1_O
    );
  data_out_2_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter(2),
      O => data_out_2_O
    );
  data_out_3_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter(3),
      O => data_out_3_O
    );
  data_out_4_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter(4),
      O => data_out_4_O
    );
  data_in_0_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in_0_INBUF,
      O => data_in_0_IBUF
    );
  data_out_5_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter(5),
      O => data_out_5_O
    );
  data_in_1_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in_1_INBUF,
      O => data_in_1_IBUF
    );
  data_out_6_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter(6),
      O => data_out_6_O
    );
  data_in_2_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in_2_INBUF,
      O => data_in_2_IBUF
    );
  data_out_7_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => counter(7),
      O => data_out_7_O
    );
  data_in_3_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in_3_INBUF,
      O => data_in_3_IBUF
    );
  data_in_4_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in_4_INBUF,
      O => data_in_4_IBUF
    );
  data_in_5_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in_5_INBUF,
      O => data_in_5_IBUF
    );
  reset_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => reset_INBUF,
      O => reset_IBUF
    );
  data_in_6_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in_6_INBUF,
      O => data_in_6_IBUF
    );
  data_in_7_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => data_in_7_INBUF,
      O => data_in_7_IBUF
    );
  load_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 757 ps
    )
    port map (
      I => load_INBUF,
      O => load_IBUF
    );
  NlwBlock_top_level_VCC : X_ONE
    port map (
      O => VCC
    );
  NlwBlock_top_level_GND : X_ZERO
    port map (
      O => GND
    );
  NlwBlockROC : X_ROC
    generic map (ROC_WIDTH => 100 ns)
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end Structure;

